﻿@using System.Security.Claims;
@using Microsoft.AspNetCore.Http;
@inject IHttpContextAccessor _accessor
<div class="container">
    <h2 class="mb-3">Nouveau Utilisateur - Creer Compte</h2>
    <form enctype="multipart/form-data" method="post" asp-controller="Utilisateur" asp-action="SubmitSignIn">
        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="inputEmail4">Votre Nom</label>
                <input type="text" class="col form-control" placeholder="Nom" name="nom" />
            </div>
            <div class="form-group col-md-6">
                <label for="inputEmail4">Votre Prenom</label>
                <input type="text" class="col form-control" placeholder="Prenom" name="prenom" />
            </div>
            <div class="form-group col-md-6">
                <label for="inputEmail4">Email</label>
                <input type="email" class="col form-control" placeholder="Email" name="identifiant" />
            </div>
            <div class="form-group col-md-6">
                <label for="inputPassword4">Password</label>
                <input type="password" class="col form-control" placeholder="Password" name="mdp" />
            </div>
        </div>
        <div class="form-group">
            <label for="inputAddress">Addresse</label>
            <input type="text" class="form-control" placeholder="1234 Main St" name="adresse">
        </div>
        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="inputCity">Ville</label>
                <input type="text" class="form-control" name="ville">
            </div>
            <div class="form-group col-md-4">
                <label for="inputState">Pays</label>
                <select name="idTpays" class="form-control">
                    @foreach (Tpays p in ViewBag.pays)
                    {
                        <option value="@p.Id">@p.PaysName</option>
                    }
                </select>
            </div>
            <div class="form-group col-md-2">
                <label for="inputZip">Code Postal</label>
                <input type="text" class="form-control" name="codePostal">
            </div>
        </div>
        @if(@_accessor.HttpContext.User.HasClaim(u => u.Type == ClaimTypes.Email) && (@_accessor.HttpContext.User.Claims.FirstOrDefault(u => u.Type == ClaimTypes.Role).Value) == "admin")
        {
            
                <div class="row ml-2">
                    <legend class="col-form-label">Roles</legend>
               
                    <div class="col">
                        @foreach (Role r in @Model)
                        {
                            <label class="row"><input class="m-2" type="radio" name="idRole" value="@r.Id"><div class="ml-2">@r.Roles</div></label>

                        }

                    </div>
           
                </div>
            }
            <button type="submit" class="col btn btn-success m-2 w-auto">Enregistrer</button>
        </form>
    </div>